Package twisted :: Package python :: Module formmethod :: Class String

[show private | hide private]
[frames | no frames]

## Class String

    Argument --+
               |
              String

Known Subclasses:
  `Password`, `Hidden`, `Text`

A single string.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)` (inherited from `Argument`)
| `addHint(self, hint)` (inherited from `Argument`)
| ``coerce`(self, val)` Convert the value to the correct format.
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`string` | `defaultDefault`

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

### defaultDefault

  Type:
    `string`
  Value:

        ''

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net